module AfTalk
  module Client
    SMS_ENDPOINT = "/messaging".freeze

    def send_message(to:, message:, **options)
      messaging_params = { to: to, message: message }.merge(options)
      AfTalk::SendMessageResponse.new(
        post(SMS_ENDPOINT, messaging_params),
      )
    end

    def fetch_messages(last_received_id:)
      AfTalk::FetchMessagesResponse.new(
        get(SMS_ENDPOINT, lastReceivedId: last_received_id),
      )
    end

    private

    def get(endpoint, **options)
      request.get(endpoint, options)
    end

    def post(endpoint, **options)
      request.post(endpoint, options)
    end

    def request
      AfTalk::Request
    end
  end
end
