module AfTalk
  class Configuration
    DEFAULT_VERSION = "version1".freeze

    class << self
      attr_writer :api_key, :sandbox, :user_name

      def configure
        yield self
        connection.clear
        self
      end

      def version
        DEFAULT_VERSION
      end

      def api_key
        @api_key || ENV["AFRICAS_TALKING_API_KEY"]
      end

      def sandbox
        @sandbox || ENV["AFRICAS_TALKING_SANDBOX"]
      end

      def user_name
        @user_name || ENV["AFRICAS_TALKING_USER_NAME"]
      end

      private

      def connection
        AfTalk::Connection
      end
    end
  end
end
