module AfTalk
  class Request
    def self.get(path, **options)
      new.get(path, options)
    end

    def self.post(path, **options)
      new.post(path, options)
    end

    def get(path, **options)
      connection.get(complete_path(path), complete_options(options))
    end

    def post(path, **options)
      connection.post(complete_path(path), complete_options(options))
    end

    private

    def complete_options(options)
      default_options.merge(options)
    end

    def complete_path(path)
      "/#{configuration.version}#{path}"
    end

    def configuration
      AfTalk::Configuration
    end

    def connection
      AfTalk::Connection.build
    end

    def default_options
      { username: configuration.user_name }
    end
  end
end
