module AfTalk
  class Response
    SUCCESS_STATUSES = [200, 201].freeze
    JSON_CONTENT = /\bjson$/

    attr_reader :body, :error_message, :status

    def initialize(response)
      @status = response.status
      body = response.body

      if success?
        @body = body
      else
        @error_message = body
        @body = { error: body }
      end
    end

    private

    def success?
      SUCCESS_STATUSES.include?(status)
    end
  end
end
