module AfTalk
  class FetchMessagesResponse < Response
    attr_reader :messages

    def initialize(response)
      super(response)
      if success?
        @messages = body_data[:Messages].map do |message_data|
          AfTalk::SmsMessageInfo.new(message_data)
        end
      end
    end

    private

    def body_data
      body[:SMSMessageData]
    end
  end
end
