module AfTalk
  class SendMessageResponse < Response
    attr_reader :message, :recipients

    def initialize(response)
      super(response)
      if success?
        @message = body_data[:Message]
        @recipients = body_data[:Recipients].map do |recipient|
          SmsMessageStatus.new(recipient)
        end
      end
    end

    private

    def body_data
      body[:SMSMessageData]
    end
  end
end
